The inspector.Session is used for dispatching messages to the V8 inspector back-end and receiving message responses and notifications.

### Hierarchy

- EventEmitter
  - Session

## Index

### Constructors

- constructor

### Properties

- defaultMaxListeners

### Methods

- addListener
- connect
- disconnect
- emit
- eventNames
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- post
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- setMaxListeners
- listenerCount

## Constructors

### constructor

- new Session(): Session

- - Defined in node_modules/@types/node/inspector.d.ts:2001

  Create a new instance of the inspector.Session class. The inspector session needs to be connected through session.connect() before the messages can be dispatched to the inspector backend.

  #### Returns Session

## Properties

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "inspectorNotification", listener: function): this
- addListener(event: "Console.messageAdded", listener: function): this
- addListener(event: "Debugger.breakpointResolved", listener: function): this
- addListener(event: "Debugger.paused", listener: function): this
- addListener(event: "Debugger.resumed", listener: function): this
- addListener(event: "Debugger.scriptFailedToParse", listener: function): this
- addListener(event: "Debugger.scriptParsed", listener: function): this
- addListener(event: "HeapProfiler.addHeapSnapshotChunk", listener: function): this
- addListener(event: "HeapProfiler.heapStatsUpdate", listener: function): this
- addListener(event: "HeapProfiler.lastSeenObjectId", listener: function): this
- addListener(event: "HeapProfiler.reportHeapSnapshotProgress", listener: function): this
- addListener(event: "HeapProfiler.resetProfiles", listener: function): this
- addListener(event: "Profiler.consoleProfileFinished", listener: function): this
- addListener(event: "Profiler.consoleProfileStarted", listener: function): this
- addListener(event: "Runtime.consoleAPICalled", listener: function): this
- addListener(event: "Runtime.exceptionRevoked", listener: function): this
- addListener(event: "Runtime.exceptionThrown", listener: function): this
- addListener(event: "Runtime.executionContextCreated", listener: function): this
- addListener(event: "Runtime.executionContextDestroyed", listener: function): this
- addListener(event: "Runtime.executionContextsCleared", listener: function): this
- addListener(event: "Runtime.inspectRequested", listener: function): this
- addListener(event: "NodeTracing.dataCollected", listener: function): this
- addListener(event: "NodeTracing.tracingComplete", listener: function): this
- addListener(event: "NodeWorker.attachedToWorker", listener: function): this
- addListener(event: "NodeWorker.detachedFromWorker", listener: function): this
- addListener(event: "NodeWorker.receivedMessageFromWorker", listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2493

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2498

  Emitted when any notification from the V8 Inspector is received.

  #### Parameters

  - ##### event: "inspectorNotification"

  - ##### listener: function

    - - (message: InspectorNotification<__type>): void

      - #### Parameters

        - ##### message: InspectorNotification<__type>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2503

  Issued when new console message is added.

  #### Parameters

  - ##### event: "Console.messageAdded"

  - ##### listener: function

    - - (message: InspectorNotification<MessageAddedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<MessageAddedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2508

  Fired when breakpoint is resolved to an actual script and location.

  #### Parameters

  - ##### event: "Debugger.breakpointResolved"

  - ##### listener: function

    - - (message: InspectorNotification<BreakpointResolvedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<BreakpointResolvedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2513

  Fired when the virtual machine stopped on breakpoint or exception or any other stop criteria.

  #### Parameters

  - ##### event: "Debugger.paused"

  - ##### listener: function

    - - (message: InspectorNotification<PausedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<PausedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2518

  Fired when the virtual machine resumed execution.

  #### Parameters

  - ##### event: "Debugger.resumed"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2523

  Fired when virtual machine fails to parse the script.

  #### Parameters

  - ##### event: "Debugger.scriptFailedToParse"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptFailedToParseEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptFailedToParseEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2529

  Fired when virtual machine parses script. This event is also fired for all known and uncollected scripts upon enabling debugger.

  #### Parameters

  - ##### event: "Debugger.scriptParsed"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptParsedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptParsedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2531

  #### Parameters

  - ##### event: "HeapProfiler.addHeapSnapshotChunk"

  - ##### listener: function

    - - (message: InspectorNotification<AddHeapSnapshotChunkEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AddHeapSnapshotChunkEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2536

  If heap objects tracking has been started then backend may send update for one or more fragments

  #### Parameters

  - ##### event: "HeapProfiler.heapStatsUpdate"

  - ##### listener: function

    - - (message: InspectorNotification<HeapStatsUpdateEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<HeapStatsUpdateEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2543

  If heap objects tracking has been started then backend regularly sends a current value for last seen object id and corresponding timestamp. If the were changes in the heap since last event then one or more heapStatsUpdate events will be sent before a new lastSeenObjectId event.

  #### Parameters

  - ##### event: "HeapProfiler.lastSeenObjectId"

  - ##### listener: function

    - - (message: InspectorNotification<LastSeenObjectIdEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<LastSeenObjectIdEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2545

  #### Parameters

  - ##### event: "HeapProfiler.reportHeapSnapshotProgress"

  - ##### listener: function

    - - (message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2546

  #### Parameters

  - ##### event: "HeapProfiler.resetProfiles"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2547

  #### Parameters

  - ##### event: "Profiler.consoleProfileFinished"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileFinishedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileFinishedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2552

  Sent when new profile recording is started using console.profile() call.

  #### Parameters

  - ##### event: "Profiler.consoleProfileStarted"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileStartedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileStartedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2557

  Issued when console API was called.

  #### Parameters

  - ##### event: "Runtime.consoleAPICalled"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleAPICalledEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleAPICalledEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2562

  Issued when unhandled exception was revoked.

  #### Parameters

  - ##### event: "Runtime.exceptionRevoked"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionRevokedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionRevokedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2567

  Issued when exception was thrown and unhandled.

  #### Parameters

  - ##### event: "Runtime.exceptionThrown"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionThrownEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionThrownEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2572

  Issued when new execution context is created.

  #### Parameters

  - ##### event: "Runtime.executionContextCreated"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextCreatedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextCreatedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2577

  Issued when execution context is destroyed.

  #### Parameters

  - ##### event: "Runtime.executionContextDestroyed"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextDestroyedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextDestroyedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2582

  Issued when all executionContexts were cleared in browser

  #### Parameters

  - ##### event: "Runtime.executionContextsCleared"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2588

  Issued when object should be inspected (for example, as a result of inspect() command line API call).

  #### Parameters

  - ##### event: "Runtime.inspectRequested"

  - ##### listener: function

    - - (message: InspectorNotification<InspectRequestedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<InspectRequestedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2593

  Contains an bucket of collected trace events.

  #### Parameters

  - ##### event: "NodeTracing.dataCollected"

  - ##### listener: function

    - - (message: InspectorNotification<DataCollectedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DataCollectedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2599

  Signals that tracing is stopped and there is no trace buffers pending flush, all data were delivered via dataCollected events.

  #### Parameters

  - ##### event: "NodeTracing.tracingComplete"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2604

  Issued when attached to a worker.

  #### Parameters

  - ##### event: "NodeWorker.attachedToWorker"

  - ##### listener: function

    - - (message: InspectorNotification<AttachedToWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AttachedToWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2609

  Issued when detached from the worker.

  #### Parameters

  - ##### event: "NodeWorker.detachedFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<DetachedFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DetachedFromWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/inspector.d.ts:2615

  Notifies about a new protocol message received from the session (session ID is provided in attachedToWorker notification).

  #### Parameters

  - ##### event: "NodeWorker.receivedMessageFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>

        #### Returns void

  #### Returns this

### connect

- connect(): void

- - Defined in node_modules/@types/node/inspector.d.ts:2013

  Connects a session to the inspector back-end. An exception will be thrown if there is already a connected session established either through the API or by a front-end connected to the Inspector WebSocket port.

  #### Returns void

### disconnect

- disconnect(): void

- - Defined in node_modules/@types/node/inspector.d.ts:2020

  Immediately close the session. All pending message callbacks will be called with an error. session.connect() will need to be called to be able to send messages again. Reconnected session will lose all inspector state, such as enabled agents or configured breakpoints.

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "inspectorNotification", message: InspectorNotification<__type>): boolean
- emit(event: "Console.messageAdded", message: InspectorNotification<MessageAddedEventDataType>): boolean
- emit(event: "Debugger.breakpointResolved", message: InspectorNotification<BreakpointResolvedEventDataType>): boolean
- emit(event: "Debugger.paused", message: InspectorNotification<PausedEventDataType>): boolean
- emit(event: "Debugger.resumed"): boolean
- emit(event: "Debugger.scriptFailedToParse", message: InspectorNotification<ScriptFailedToParseEventDataType>): boolean
- emit(event: "Debugger.scriptParsed", message: InspectorNotification<ScriptParsedEventDataType>): boolean
- emit(event: "HeapProfiler.addHeapSnapshotChunk", message: InspectorNotification<AddHeapSnapshotChunkEventDataType>): boolean
- emit(event: "HeapProfiler.heapStatsUpdate", message: InspectorNotification<HeapStatsUpdateEventDataType>): boolean
- emit(event: "HeapProfiler.lastSeenObjectId", message: InspectorNotification<LastSeenObjectIdEventDataType>): boolean
- emit(event: "HeapProfiler.reportHeapSnapshotProgress", message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>): boolean
- emit(event: "HeapProfiler.resetProfiles"): boolean
- emit(event: "Profiler.consoleProfileFinished", message: InspectorNotification<ConsoleProfileFinishedEventDataType>): boolean
- emit(event: "Profiler.consoleProfileStarted", message: InspectorNotification<ConsoleProfileStartedEventDataType>): boolean
- emit(event: "Runtime.consoleAPICalled", message: InspectorNotification<ConsoleAPICalledEventDataType>): boolean
- emit(event: "Runtime.exceptionRevoked", message: InspectorNotification<ExceptionRevokedEventDataType>): boolean
- emit(event: "Runtime.exceptionThrown", message: InspectorNotification<ExceptionThrownEventDataType>): boolean
- emit(event: "Runtime.executionContextCreated", message: InspectorNotification<ExecutionContextCreatedEventDataType>): boolean
- emit(event: "Runtime.executionContextDestroyed", message: InspectorNotification<ExecutionContextDestroyedEventDataType>): boolean
- emit(event: "Runtime.executionContextsCleared"): boolean
- emit(event: "Runtime.inspectRequested", message: InspectorNotification<InspectRequestedEventDataType>): boolean
- emit(event: "NodeTracing.dataCollected", message: InspectorNotification<DataCollectedEventDataType>): boolean
- emit(event: "NodeTracing.tracingComplete"): boolean
- emit(event: "NodeWorker.attachedToWorker", message: InspectorNotification<AttachedToWorkerEventDataType>): boolean
- emit(event: "NodeWorker.detachedFromWorker", message: InspectorNotification<DetachedFromWorkerEventDataType>): boolean
- emit(event: "NodeWorker.receivedMessageFromWorker", message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>): boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2617

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2618

  #### Parameters

  - ##### event: "inspectorNotification"

  - ##### message: InspectorNotification<__type>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2619

  #### Parameters

  - ##### event: "Console.messageAdded"

  - ##### message: InspectorNotification<MessageAddedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2620

  #### Parameters

  - ##### event: "Debugger.breakpointResolved"

  - ##### message: InspectorNotification<BreakpointResolvedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2621

  #### Parameters

  - ##### event: "Debugger.paused"

  - ##### message: InspectorNotification<PausedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2622

  #### Parameters

  - ##### event: "Debugger.resumed"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2623

  #### Parameters

  - ##### event: "Debugger.scriptFailedToParse"

  - ##### message: InspectorNotification<ScriptFailedToParseEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2624

  #### Parameters

  - ##### event: "Debugger.scriptParsed"

  - ##### message: InspectorNotification<ScriptParsedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2625

  #### Parameters

  - ##### event: "HeapProfiler.addHeapSnapshotChunk"

  - ##### message: InspectorNotification<AddHeapSnapshotChunkEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2626

  #### Parameters

  - ##### event: "HeapProfiler.heapStatsUpdate"

  - ##### message: InspectorNotification<HeapStatsUpdateEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2627

  #### Parameters

  - ##### event: "HeapProfiler.lastSeenObjectId"

  - ##### message: InspectorNotification<LastSeenObjectIdEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2628

  #### Parameters

  - ##### event: "HeapProfiler.reportHeapSnapshotProgress"

  - ##### message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2629

  #### Parameters

  - ##### event: "HeapProfiler.resetProfiles"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2630

  #### Parameters

  - ##### event: "Profiler.consoleProfileFinished"

  - ##### message: InspectorNotification<ConsoleProfileFinishedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2631

  #### Parameters

  - ##### event: "Profiler.consoleProfileStarted"

  - ##### message: InspectorNotification<ConsoleProfileStartedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2632

  #### Parameters

  - ##### event: "Runtime.consoleAPICalled"

  - ##### message: InspectorNotification<ConsoleAPICalledEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2633

  #### Parameters

  - ##### event: "Runtime.exceptionRevoked"

  - ##### message: InspectorNotification<ExceptionRevokedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2634

  #### Parameters

  - ##### event: "Runtime.exceptionThrown"

  - ##### message: InspectorNotification<ExceptionThrownEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2635

  #### Parameters

  - ##### event: "Runtime.executionContextCreated"

  - ##### message: InspectorNotification<ExecutionContextCreatedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2636

  #### Parameters

  - ##### event: "Runtime.executionContextDestroyed"

  - ##### message: InspectorNotification<ExecutionContextDestroyedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2637

  #### Parameters

  - ##### event: "Runtime.executionContextsCleared"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2638

  #### Parameters

  - ##### event: "Runtime.inspectRequested"

  - ##### message: InspectorNotification<InspectRequestedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2639

  #### Parameters

  - ##### event: "NodeTracing.dataCollected"

  - ##### message: InspectorNotification<DataCollectedEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2640

  #### Parameters

  - ##### event: "NodeTracing.tracingComplete"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2641

  #### Parameters

  - ##### event: "NodeWorker.attachedToWorker"

  - ##### message: InspectorNotification<AttachedToWorkerEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2642

  #### Parameters

  - ##### event: "NodeWorker.detachedFromWorker"

  - ##### message: InspectorNotification<DetachedFromWorkerEventDataType>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/inspector.d.ts:2643

  #### Parameters

  - ##### event: "NodeWorker.receivedMessageFromWorker"

  - ##### message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "inspectorNotification", listener: function): this
- on(event: "Console.messageAdded", listener: function): this
- on(event: "Debugger.breakpointResolved", listener: function): this
- on(event: "Debugger.paused", listener: function): this
- on(event: "Debugger.resumed", listener: function): this
- on(event: "Debugger.scriptFailedToParse", listener: function): this
- on(event: "Debugger.scriptParsed", listener: function): this
- on(event: "HeapProfiler.addHeapSnapshotChunk", listener: function): this
- on(event: "HeapProfiler.heapStatsUpdate", listener: function): this
- on(event: "HeapProfiler.lastSeenObjectId", listener: function): this
- on(event: "HeapProfiler.reportHeapSnapshotProgress", listener: function): this
- on(event: "HeapProfiler.resetProfiles", listener: function): this
- on(event: "Profiler.consoleProfileFinished", listener: function): this
- on(event: "Profiler.consoleProfileStarted", listener: function): this
- on(event: "Runtime.consoleAPICalled", listener: function): this
- on(event: "Runtime.exceptionRevoked", listener: function): this
- on(event: "Runtime.exceptionThrown", listener: function): this
- on(event: "Runtime.executionContextCreated", listener: function): this
- on(event: "Runtime.executionContextDestroyed", listener: function): this
- on(event: "Runtime.executionContextsCleared", listener: function): this
- on(event: "Runtime.inspectRequested", listener: function): this
- on(event: "NodeTracing.dataCollected", listener: function): this
- on(event: "NodeTracing.tracingComplete", listener: function): this
- on(event: "NodeWorker.attachedToWorker", listener: function): this
- on(event: "NodeWorker.detachedFromWorker", listener: function): this
- on(event: "NodeWorker.receivedMessageFromWorker", listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2645

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2650

  Emitted when any notification from the V8 Inspector is received.

  #### Parameters

  - ##### event: "inspectorNotification"

  - ##### listener: function

    - - (message: InspectorNotification<__type>): void

      - #### Parameters

        - ##### message: InspectorNotification<__type>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2655

  Issued when new console message is added.

  #### Parameters

  - ##### event: "Console.messageAdded"

  - ##### listener: function

    - - (message: InspectorNotification<MessageAddedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<MessageAddedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2660

  Fired when breakpoint is resolved to an actual script and location.

  #### Parameters

  - ##### event: "Debugger.breakpointResolved"

  - ##### listener: function

    - - (message: InspectorNotification<BreakpointResolvedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<BreakpointResolvedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2665

  Fired when the virtual machine stopped on breakpoint or exception or any other stop criteria.

  #### Parameters

  - ##### event: "Debugger.paused"

  - ##### listener: function

    - - (message: InspectorNotification<PausedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<PausedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2670

  Fired when the virtual machine resumed execution.

  #### Parameters

  - ##### event: "Debugger.resumed"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2675

  Fired when virtual machine fails to parse the script.

  #### Parameters

  - ##### event: "Debugger.scriptFailedToParse"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptFailedToParseEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptFailedToParseEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2681

  Fired when virtual machine parses script. This event is also fired for all known and uncollected scripts upon enabling debugger.

  #### Parameters

  - ##### event: "Debugger.scriptParsed"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptParsedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptParsedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2683

  #### Parameters

  - ##### event: "HeapProfiler.addHeapSnapshotChunk"

  - ##### listener: function

    - - (message: InspectorNotification<AddHeapSnapshotChunkEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AddHeapSnapshotChunkEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2688

  If heap objects tracking has been started then backend may send update for one or more fragments

  #### Parameters

  - ##### event: "HeapProfiler.heapStatsUpdate"

  - ##### listener: function

    - - (message: InspectorNotification<HeapStatsUpdateEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<HeapStatsUpdateEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2695

  If heap objects tracking has been started then backend regularly sends a current value for last seen object id and corresponding timestamp. If the were changes in the heap since last event then one or more heapStatsUpdate events will be sent before a new lastSeenObjectId event.

  #### Parameters

  - ##### event: "HeapProfiler.lastSeenObjectId"

  - ##### listener: function

    - - (message: InspectorNotification<LastSeenObjectIdEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<LastSeenObjectIdEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2697

  #### Parameters

  - ##### event: "HeapProfiler.reportHeapSnapshotProgress"

  - ##### listener: function

    - - (message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2698

  #### Parameters

  - ##### event: "HeapProfiler.resetProfiles"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2699

  #### Parameters

  - ##### event: "Profiler.consoleProfileFinished"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileFinishedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileFinishedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2704

  Sent when new profile recording is started using console.profile() call.

  #### Parameters

  - ##### event: "Profiler.consoleProfileStarted"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileStartedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileStartedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2709

  Issued when console API was called.

  #### Parameters

  - ##### event: "Runtime.consoleAPICalled"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleAPICalledEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleAPICalledEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2714

  Issued when unhandled exception was revoked.

  #### Parameters

  - ##### event: "Runtime.exceptionRevoked"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionRevokedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionRevokedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2719

  Issued when exception was thrown and unhandled.

  #### Parameters

  - ##### event: "Runtime.exceptionThrown"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionThrownEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionThrownEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2724

  Issued when new execution context is created.

  #### Parameters

  - ##### event: "Runtime.executionContextCreated"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextCreatedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextCreatedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2729

  Issued when execution context is destroyed.

  #### Parameters

  - ##### event: "Runtime.executionContextDestroyed"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextDestroyedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextDestroyedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2734

  Issued when all executionContexts were cleared in browser

  #### Parameters

  - ##### event: "Runtime.executionContextsCleared"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2740

  Issued when object should be inspected (for example, as a result of inspect() command line API call).

  #### Parameters

  - ##### event: "Runtime.inspectRequested"

  - ##### listener: function

    - - (message: InspectorNotification<InspectRequestedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<InspectRequestedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2745

  Contains an bucket of collected trace events.

  #### Parameters

  - ##### event: "NodeTracing.dataCollected"

  - ##### listener: function

    - - (message: InspectorNotification<DataCollectedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DataCollectedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2751

  Signals that tracing is stopped and there is no trace buffers pending flush, all data were delivered via dataCollected events.

  #### Parameters

  - ##### event: "NodeTracing.tracingComplete"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2756

  Issued when attached to a worker.

  #### Parameters

  - ##### event: "NodeWorker.attachedToWorker"

  - ##### listener: function

    - - (message: InspectorNotification<AttachedToWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AttachedToWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2761

  Issued when detached from the worker.

  #### Parameters

  - ##### event: "NodeWorker.detachedFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<DetachedFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DetachedFromWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/inspector.d.ts:2767

  Notifies about a new protocol message received from the session (session ID is provided in attachedToWorker notification).

  #### Parameters

  - ##### event: "NodeWorker.receivedMessageFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>

        #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "inspectorNotification", listener: function): this
- once(event: "Console.messageAdded", listener: function): this
- once(event: "Debugger.breakpointResolved", listener: function): this
- once(event: "Debugger.paused", listener: function): this
- once(event: "Debugger.resumed", listener: function): this
- once(event: "Debugger.scriptFailedToParse", listener: function): this
- once(event: "Debugger.scriptParsed", listener: function): this
- once(event: "HeapProfiler.addHeapSnapshotChunk", listener: function): this
- once(event: "HeapProfiler.heapStatsUpdate", listener: function): this
- once(event: "HeapProfiler.lastSeenObjectId", listener: function): this
- once(event: "HeapProfiler.reportHeapSnapshotProgress", listener: function): this
- once(event: "HeapProfiler.resetProfiles", listener: function): this
- once(event: "Profiler.consoleProfileFinished", listener: function): this
- once(event: "Profiler.consoleProfileStarted", listener: function): this
- once(event: "Runtime.consoleAPICalled", listener: function): this
- once(event: "Runtime.exceptionRevoked", listener: function): this
- once(event: "Runtime.exceptionThrown", listener: function): this
- once(event: "Runtime.executionContextCreated", listener: function): this
- once(event: "Runtime.executionContextDestroyed", listener: function): this
- once(event: "Runtime.executionContextsCleared", listener: function): this
- once(event: "Runtime.inspectRequested", listener: function): this
- once(event: "NodeTracing.dataCollected", listener: function): this
- once(event: "NodeTracing.tracingComplete", listener: function): this
- once(event: "NodeWorker.attachedToWorker", listener: function): this
- once(event: "NodeWorker.detachedFromWorker", listener: function): this
- once(event: "NodeWorker.receivedMessageFromWorker", listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2769

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2774

  Emitted when any notification from the V8 Inspector is received.

  #### Parameters

  - ##### event: "inspectorNotification"

  - ##### listener: function

    - - (message: InspectorNotification<__type>): void

      - #### Parameters

        - ##### message: InspectorNotification<__type>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2779

  Issued when new console message is added.

  #### Parameters

  - ##### event: "Console.messageAdded"

  - ##### listener: function

    - - (message: InspectorNotification<MessageAddedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<MessageAddedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2784

  Fired when breakpoint is resolved to an actual script and location.

  #### Parameters

  - ##### event: "Debugger.breakpointResolved"

  - ##### listener: function

    - - (message: InspectorNotification<BreakpointResolvedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<BreakpointResolvedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2789

  Fired when the virtual machine stopped on breakpoint or exception or any other stop criteria.

  #### Parameters

  - ##### event: "Debugger.paused"

  - ##### listener: function

    - - (message: InspectorNotification<PausedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<PausedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2794

  Fired when the virtual machine resumed execution.

  #### Parameters

  - ##### event: "Debugger.resumed"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2799

  Fired when virtual machine fails to parse the script.

  #### Parameters

  - ##### event: "Debugger.scriptFailedToParse"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptFailedToParseEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptFailedToParseEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2805

  Fired when virtual machine parses script. This event is also fired for all known and uncollected scripts upon enabling debugger.

  #### Parameters

  - ##### event: "Debugger.scriptParsed"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptParsedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptParsedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2807

  #### Parameters

  - ##### event: "HeapProfiler.addHeapSnapshotChunk"

  - ##### listener: function

    - - (message: InspectorNotification<AddHeapSnapshotChunkEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AddHeapSnapshotChunkEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2812

  If heap objects tracking has been started then backend may send update for one or more fragments

  #### Parameters

  - ##### event: "HeapProfiler.heapStatsUpdate"

  - ##### listener: function

    - - (message: InspectorNotification<HeapStatsUpdateEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<HeapStatsUpdateEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2819

  If heap objects tracking has been started then backend regularly sends a current value for last seen object id and corresponding timestamp. If the were changes in the heap since last event then one or more heapStatsUpdate events will be sent before a new lastSeenObjectId event.

  #### Parameters

  - ##### event: "HeapProfiler.lastSeenObjectId"

  - ##### listener: function

    - - (message: InspectorNotification<LastSeenObjectIdEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<LastSeenObjectIdEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2821

  #### Parameters

  - ##### event: "HeapProfiler.reportHeapSnapshotProgress"

  - ##### listener: function

    - - (message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2822

  #### Parameters

  - ##### event: "HeapProfiler.resetProfiles"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2823

  #### Parameters

  - ##### event: "Profiler.consoleProfileFinished"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileFinishedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileFinishedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2828

  Sent when new profile recording is started using console.profile() call.

  #### Parameters

  - ##### event: "Profiler.consoleProfileStarted"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileStartedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileStartedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2833

  Issued when console API was called.

  #### Parameters

  - ##### event: "Runtime.consoleAPICalled"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleAPICalledEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleAPICalledEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2838

  Issued when unhandled exception was revoked.

  #### Parameters

  - ##### event: "Runtime.exceptionRevoked"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionRevokedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionRevokedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2843

  Issued when exception was thrown and unhandled.

  #### Parameters

  - ##### event: "Runtime.exceptionThrown"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionThrownEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionThrownEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2848

  Issued when new execution context is created.

  #### Parameters

  - ##### event: "Runtime.executionContextCreated"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextCreatedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextCreatedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2853

  Issued when execution context is destroyed.

  #### Parameters

  - ##### event: "Runtime.executionContextDestroyed"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextDestroyedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextDestroyedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2858

  Issued when all executionContexts were cleared in browser

  #### Parameters

  - ##### event: "Runtime.executionContextsCleared"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2864

  Issued when object should be inspected (for example, as a result of inspect() command line API call).

  #### Parameters

  - ##### event: "Runtime.inspectRequested"

  - ##### listener: function

    - - (message: InspectorNotification<InspectRequestedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<InspectRequestedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2869

  Contains an bucket of collected trace events.

  #### Parameters

  - ##### event: "NodeTracing.dataCollected"

  - ##### listener: function

    - - (message: InspectorNotification<DataCollectedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DataCollectedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2875

  Signals that tracing is stopped and there is no trace buffers pending flush, all data were delivered via dataCollected events.

  #### Parameters

  - ##### event: "NodeTracing.tracingComplete"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2880

  Issued when attached to a worker.

  #### Parameters

  - ##### event: "NodeWorker.attachedToWorker"

  - ##### listener: function

    - - (message: InspectorNotification<AttachedToWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AttachedToWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2885

  Issued when detached from the worker.

  #### Parameters

  - ##### event: "NodeWorker.detachedFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<DetachedFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DetachedFromWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/inspector.d.ts:2891

  Notifies about a new protocol message received from the session (session ID is provided in attachedToWorker notification).

  #### Parameters

  - ##### event: "NodeWorker.receivedMessageFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>

        #### Returns void

  #### Returns this

### post

- post(method: string, params?: undefined | __type, callback?: undefined | function): void
- post(method: string, callback?: undefined | function): void
- post(method: "Console.clearMessages", callback?: undefined | function): void
- post(method: "Console.disable", callback?: undefined | function): void
- post(method: "Console.enable", callback?: undefined | function): void
- post(method: "Debugger.continueToLocation", params?: ContinueToLocationParameterType, callback?: undefined | function): void
- post(method: "Debugger.continueToLocation", callback?: undefined | function): void
- post(method: "Debugger.disable", callback?: undefined | function): void
- post(method: "Debugger.enable", callback?: undefined | function): void
- post(method: "Debugger.evaluateOnCallFrame", params?: EvaluateOnCallFrameParameterType, callback?: undefined | function): void
- post(method: "Debugger.evaluateOnCallFrame", callback?: undefined | function): void
- post(method: "Debugger.getPossibleBreakpoints", params?: GetPossibleBreakpointsParameterType, callback?: undefined | function): void
- post(method: "Debugger.getPossibleBreakpoints", callback?: undefined | function): void
- post(method: "Debugger.getScriptSource", params?: GetScriptSourceParameterType, callback?: undefined | function): void
- post(method: "Debugger.getScriptSource", callback?: undefined | function): void
- post(method: "Debugger.getStackTrace", params?: GetStackTraceParameterType, callback?: undefined | function): void
- post(method: "Debugger.getStackTrace", callback?: undefined | function): void
- post(method: "Debugger.pause", callback?: undefined | function): void
- post(method: "Debugger.pauseOnAsyncCall", params?: PauseOnAsyncCallParameterType, callback?: undefined | function): void
- post(method: "Debugger.pauseOnAsyncCall", callback?: undefined | function): void
- post(method: "Debugger.removeBreakpoint", params?: RemoveBreakpointParameterType, callback?: undefined | function): void
- post(method: "Debugger.removeBreakpoint", callback?: undefined | function): void
- post(method: "Debugger.restartFrame", params?: RestartFrameParameterType, callback?: undefined | function): void
- post(method: "Debugger.restartFrame", callback?: undefined | function): void
- post(method: "Debugger.resume", callback?: undefined | function): void
- post(method: "Debugger.scheduleStepIntoAsync", callback?: undefined | function): void
- post(method: "Debugger.searchInContent", params?: SearchInContentParameterType, callback?: undefined | function): void
- post(method: "Debugger.searchInContent", callback?: undefined | function): void
- post(method: "Debugger.setAsyncCallStackDepth", params?: SetAsyncCallStackDepthParameterType, callback?: undefined | function): void
- post(method: "Debugger.setAsyncCallStackDepth", callback?: undefined | function): void
- post(method: "Debugger.setBlackboxPatterns", params?: SetBlackboxPatternsParameterType, callback?: undefined | function): void
- post(method: "Debugger.setBlackboxPatterns", callback?: undefined | function): void
- post(method: "Debugger.setBlackboxedRanges", params?: SetBlackboxedRangesParameterType, callback?: undefined | function): void
- post(method: "Debugger.setBlackboxedRanges", callback?: undefined | function): void
- post(method: "Debugger.setBreakpoint", params?: SetBreakpointParameterType, callback?: undefined | function): void
- post(method: "Debugger.setBreakpoint", callback?: undefined | function): void
- post(method: "Debugger.setBreakpointByUrl", params?: SetBreakpointByUrlParameterType, callback?: undefined | function): void
- post(method: "Debugger.setBreakpointByUrl", callback?: undefined | function): void
- post(method: "Debugger.setBreakpointOnFunctionCall", params?: SetBreakpointOnFunctionCallParameterType, callback?: undefined | function): void
- post(method: "Debugger.setBreakpointOnFunctionCall", callback?: undefined | function): void
- post(method: "Debugger.setBreakpointsActive", params?: SetBreakpointsActiveParameterType, callback?: undefined | function): void
- post(method: "Debugger.setBreakpointsActive", callback?: undefined | function): void
- post(method: "Debugger.setPauseOnExceptions", params?: SetPauseOnExceptionsParameterType, callback?: undefined | function): void
- post(method: "Debugger.setPauseOnExceptions", callback?: undefined | function): void
- post(method: "Debugger.setReturnValue", params?: SetReturnValueParameterType, callback?: undefined | function): void
- post(method: "Debugger.setReturnValue", callback?: undefined | function): void
- post(method: "Debugger.setScriptSource", params?: SetScriptSourceParameterType, callback?: undefined | function): void
- post(method: "Debugger.setScriptSource", callback?: undefined | function): void
- post(method: "Debugger.setSkipAllPauses", params?: SetSkipAllPausesParameterType, callback?: undefined | function): void
- post(method: "Debugger.setSkipAllPauses", callback?: undefined | function): void
- post(method: "Debugger.setVariableValue", params?: SetVariableValueParameterType, callback?: undefined | function): void
- post(method: "Debugger.setVariableValue", callback?: undefined | function): void
- post(method: "Debugger.stepInto", params?: StepIntoParameterType, callback?: undefined | function): void
- post(method: "Debugger.stepInto", callback?: undefined | function): void
- post(method: "Debugger.stepOut", callback?: undefined | function): void
- post(method: "Debugger.stepOver", callback?: undefined | function): void
- post(method: "HeapProfiler.addInspectedHeapObject", params?: AddInspectedHeapObjectParameterType, callback?: undefined | function): void
- post(method: "HeapProfiler.addInspectedHeapObject", callback?: undefined | function): void
- post(method: "HeapProfiler.collectGarbage", callback?: undefined | function): void
- post(method: "HeapProfiler.disable", callback?: undefined | function): void
- post(method: "HeapProfiler.enable", callback?: undefined | function): void
- post(method: "HeapProfiler.getHeapObjectId", params?: GetHeapObjectIdParameterType, callback?: undefined | function): void
- post(method: "HeapProfiler.getHeapObjectId", callback?: undefined | function): void
- post(method: "HeapProfiler.getObjectByHeapObjectId", params?: GetObjectByHeapObjectIdParameterType, callback?: undefined | function): void
- post(method: "HeapProfiler.getObjectByHeapObjectId", callback?: undefined | function): void
- post(method: "HeapProfiler.getSamplingProfile", callback?: undefined | function): void
- post(method: "HeapProfiler.startSampling", params?: StartSamplingParameterType, callback?: undefined | function): void
- post(method: "HeapProfiler.startSampling", callback?: undefined | function): void
- post(method: "HeapProfiler.startTrackingHeapObjects", params?: StartTrackingHeapObjectsParameterType, callback?: undefined | function): void
- post(method: "HeapProfiler.startTrackingHeapObjects", callback?: undefined | function): void
- post(method: "HeapProfiler.stopSampling", callback?: undefined | function): void
- post(method: "HeapProfiler.stopTrackingHeapObjects", params?: StopTrackingHeapObjectsParameterType, callback?: undefined | function): void
- post(method: "HeapProfiler.stopTrackingHeapObjects", callback?: undefined | function): void
- post(method: "HeapProfiler.takeHeapSnapshot", params?: TakeHeapSnapshotParameterType, callback?: undefined | function): void
- post(method: "HeapProfiler.takeHeapSnapshot", callback?: undefined | function): void
- post(method: "Profiler.disable", callback?: undefined | function): void
- post(method: "Profiler.enable", callback?: undefined | function): void
- post(method: "Profiler.getBestEffortCoverage", callback?: undefined | function): void
- post(method: "Profiler.setSamplingInterval", params?: SetSamplingIntervalParameterType, callback?: undefined | function): void
- post(method: "Profiler.setSamplingInterval", callback?: undefined | function): void
- post(method: "Profiler.start", callback?: undefined | function): void
- post(method: "Profiler.startPreciseCoverage", params?: StartPreciseCoverageParameterType, callback?: undefined | function): void
- post(method: "Profiler.startPreciseCoverage", callback?: undefined | function): void
- post(method: "Profiler.startTypeProfile", callback?: undefined | function): void
- post(method: "Profiler.stop", callback?: undefined | function): void
- post(method: "Profiler.stopPreciseCoverage", callback?: undefined | function): void
- post(method: "Profiler.stopTypeProfile", callback?: undefined | function): void
- post(method: "Profiler.takePreciseCoverage", callback?: undefined | function): void
- post(method: "Profiler.takeTypeProfile", callback?: undefined | function): void
- post(method: "Runtime.awaitPromise", params?: AwaitPromiseParameterType, callback?: undefined | function): void
- post(method: "Runtime.awaitPromise", callback?: undefined | function): void
- post(method: "Runtime.callFunctionOn", params?: CallFunctionOnParameterType, callback?: undefined | function): void
- post(method: "Runtime.callFunctionOn", callback?: undefined | function): void
- post(method: "Runtime.compileScript", params?: CompileScriptParameterType, callback?: undefined | function): void
- post(method: "Runtime.compileScript", callback?: undefined | function): void
- post(method: "Runtime.disable", callback?: undefined | function): void
- post(method: "Runtime.discardConsoleEntries", callback?: undefined | function): void
- post(method: "Runtime.enable", callback?: undefined | function): void
- post(method: "Runtime.evaluate", params?: EvaluateParameterType, callback?: undefined | function): void
- post(method: "Runtime.evaluate", callback?: undefined | function): void
- post(method: "Runtime.getIsolateId", callback?: undefined | function): void
- post(method: "Runtime.getHeapUsage", callback?: undefined | function): void
- post(method: "Runtime.getProperties", params?: GetPropertiesParameterType, callback?: undefined | function): void
- post(method: "Runtime.getProperties", callback?: undefined | function): void
- post(method: "Runtime.globalLexicalScopeNames", params?: GlobalLexicalScopeNamesParameterType, callback?: undefined | function): void
- post(method: "Runtime.globalLexicalScopeNames", callback?: undefined | function): void
- post(method: "Runtime.queryObjects", params?: QueryObjectsParameterType, callback?: undefined | function): void
- post(method: "Runtime.queryObjects", callback?: undefined | function): void
- post(method: "Runtime.releaseObject", params?: ReleaseObjectParameterType, callback?: undefined | function): void
- post(method: "Runtime.releaseObject", callback?: undefined | function): void
- post(method: "Runtime.releaseObjectGroup", params?: ReleaseObjectGroupParameterType, callback?: undefined | function): void
- post(method: "Runtime.releaseObjectGroup", callback?: undefined | function): void
- post(method: "Runtime.runIfWaitingForDebugger", callback?: undefined | function): void
- post(method: "Runtime.runScript", params?: RunScriptParameterType, callback?: undefined | function): void
- post(method: "Runtime.runScript", callback?: undefined | function): void
- post(method: "Runtime.setCustomObjectFormatterEnabled", params?: SetCustomObjectFormatterEnabledParameterType, callback?: undefined | function): void
- post(method: "Runtime.setCustomObjectFormatterEnabled", callback?: undefined | function): void
- post(method: "Runtime.terminateExecution", callback?: undefined | function): void
- post(method: "Schema.getDomains", callback?: undefined | function): void
- post(method: "NodeTracing.getCategories", callback?: undefined | function): void
- post(method: "NodeTracing.start", params?: StartParameterType, callback?: undefined | function): void
- post(method: "NodeTracing.start", callback?: undefined | function): void
- post(method: "NodeTracing.stop", callback?: undefined | function): void
- post(method: "NodeWorker.sendMessageToWorker", params?: SendMessageToWorkerParameterType, callback?: undefined | function): void
- post(method: "NodeWorker.sendMessageToWorker", callback?: undefined | function): void
- post(method: "NodeWorker.enable", params?: EnableParameterType, callback?: undefined | function): void
- post(method: "NodeWorker.enable", callback?: undefined | function): void
- post(method: "NodeWorker.disable", callback?: undefined | function): void

- - Defined in node_modules/@types/node/inspector.d.ts:2026

  Posts a message to the inspector back-end. callback will be notified when a response is received. callback is a function that accepts two optional arguments - error and message-specific result.

  #### Parameters

  - ##### method: string

  - ##### Optional params: undefined | __type

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2027

  #### Parameters

  - ##### method: string

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2032

  Does nothing.

  #### Parameters

  - ##### method: "Console.clearMessages"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2037

  Disables console domain, prevents further console messages from being reported to the client.

  #### Parameters

  - ##### method: "Console.disable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2043

  Enables console domain, sends the messages collected so far to the client by means of the `messageAdded` notification.

  #### Parameters

  - ##### method: "Console.enable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2048

  Continues execution until specific location is reached.

  #### Parameters

  - ##### method: "Debugger.continueToLocation"

  - ##### Optional params: ContinueToLocationParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2049

  #### Parameters

  - ##### method: "Debugger.continueToLocation"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2054

  Disables debugger for given page.

  #### Parameters

  - ##### method: "Debugger.disable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2060

  Enables debugger for the given page. Clients should not assume that the debugging has been enabled until the result for this command is received.

  #### Parameters

  - ##### method: "Debugger.enable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2065

  Evaluates expression on a given call frame.

  #### Parameters

  - ##### method: "Debugger.evaluateOnCallFrame"

  - ##### Optional params: EvaluateOnCallFrameParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2066

  #### Parameters

  - ##### method: "Debugger.evaluateOnCallFrame"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2072

  Returns possible locations for breakpoint. scriptId in start and end range locations should be the same.

  #### Parameters

  - ##### method: "Debugger.getPossibleBreakpoints"

  - ##### Optional params: GetPossibleBreakpointsParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2077

  #### Parameters

  - ##### method: "Debugger.getPossibleBreakpoints"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2082

  Returns source for the script with given id.

  #### Parameters

  - ##### method: "Debugger.getScriptSource"

  - ##### Optional params: GetScriptSourceParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2083

  #### Parameters

  - ##### method: "Debugger.getScriptSource"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2089

  Returns stack trace with given `stackTraceId`.

  experimental

  #### Parameters

  - ##### method: "Debugger.getStackTrace"

  - ##### Optional params: GetStackTraceParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2090

  #### Parameters

  - ##### method: "Debugger.getStackTrace"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2095

  Stops on the next JavaScript statement.

  #### Parameters

  - ##### method: "Debugger.pause"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2100
  experimental

  #### Parameters

  - ##### method: "Debugger.pauseOnAsyncCall"

  - ##### Optional params: PauseOnAsyncCallParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2101

  #### Parameters

  - ##### method: "Debugger.pauseOnAsyncCall"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2106

  Removes JavaScript breakpoint.

  #### Parameters

  - ##### method: "Debugger.removeBreakpoint"

  - ##### Optional params: RemoveBreakpointParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2107

  #### Parameters

  - ##### method: "Debugger.removeBreakpoint"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2112

  Restarts particular call frame from the beginning.

  #### Parameters

  - ##### method: "Debugger.restartFrame"

  - ##### Optional params: RestartFrameParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2113

  #### Parameters

  - ##### method: "Debugger.restartFrame"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2118

  Resumes JavaScript execution.

  #### Parameters

  - ##### method: "Debugger.resume"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2127

  This method is deprecated - use Debugger.stepInto with breakOnAsyncCall and Debugger.pauseOnAsyncTask instead. Steps into next scheduled async task if any is scheduled before next pause. Returns success when async task is actually scheduled, returns error if no task were scheduled or another scheduleStepIntoAsync was called.

  experimental

  #### Parameters

  - ##### method: "Debugger.scheduleStepIntoAsync"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2132

  Searches for given string in script content.

  #### Parameters

  - ##### method: "Debugger.searchInContent"

  - ##### Optional params: SearchInContentParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2133

  #### Parameters

  - ##### method: "Debugger.searchInContent"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2138

  Enables or disables async call stacks tracking.

  #### Parameters

  - ##### method: "Debugger.setAsyncCallStackDepth"

  - ##### Optional params: SetAsyncCallStackDepthParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2139

  #### Parameters

  - ##### method: "Debugger.setAsyncCallStackDepth"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2147

  Replace previous blackbox patterns with passed ones. Forces backend to skip stepping/pausing in scripts with url matching one of the patterns. VM will try to leave blackboxed script by performing 'step in' several times, finally resorting to 'step out' if unsuccessful.

  experimental

  #### Parameters

  - ##### method: "Debugger.setBlackboxPatterns"

  - ##### Optional params: SetBlackboxPatternsParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2148

  #### Parameters

  - ##### method: "Debugger.setBlackboxPatterns"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2157

  Makes backend skip steps in the script in blackboxed ranges. VM will try leave blacklisted scripts by performing 'step in' several times, finally resorting to 'step out' if unsuccessful. Positions array contains positions where blackbox state is changed. First interval isn't blackboxed. Array should be sorted.

  experimental

  #### Parameters

  - ##### method: "Debugger.setBlackboxedRanges"

  - ##### Optional params: SetBlackboxedRangesParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2158

  #### Parameters

  - ##### method: "Debugger.setBlackboxedRanges"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2163

  Sets JavaScript breakpoint at a given location.

  #### Parameters

  - ##### method: "Debugger.setBreakpoint"

  - ##### Optional params: SetBreakpointParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2164

  #### Parameters

  - ##### method: "Debugger.setBreakpoint"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2172

  Sets JavaScript breakpoint at given location specified either by URL or URL regex. Once this command is issued, all existing parsed scripts will have breakpoints resolved and returned in `locations` property. Further matching script parsing will result in subsequent `breakpointResolved` events issued. This logical breakpoint will survive page reloads.

  #### Parameters

  - ##### method: "Debugger.setBreakpointByUrl"

  - ##### Optional params: SetBreakpointByUrlParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2173

  #### Parameters

  - ##### method: "Debugger.setBreakpointByUrl"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2181

  Sets JavaScript breakpoint before each call to the given function. If another function was created from the same source as a given one, calling it will also trigger the breakpoint.

  experimental

  #### Parameters

  - ##### method: "Debugger.setBreakpointOnFunctionCall"

  - ##### Optional params: SetBreakpointOnFunctionCallParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2186

  #### Parameters

  - ##### method: "Debugger.setBreakpointOnFunctionCall"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2191

  Activates / deactivates all breakpoints on the page.

  #### Parameters

  - ##### method: "Debugger.setBreakpointsActive"

  - ##### Optional params: SetBreakpointsActiveParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2192

  #### Parameters

  - ##### method: "Debugger.setBreakpointsActive"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2198

  Defines pause on exceptions state. Can be set to stop on all exceptions, uncaught exceptions or no exceptions. Initial pause on exceptions state is `none`.

  #### Parameters

  - ##### method: "Debugger.setPauseOnExceptions"

  - ##### Optional params: SetPauseOnExceptionsParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2199

  #### Parameters

  - ##### method: "Debugger.setPauseOnExceptions"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2205

  Changes return value in top frame. Available only at return break position.

  experimental

  #### Parameters

  - ##### method: "Debugger.setReturnValue"

  - ##### Optional params: SetReturnValueParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2206

  #### Parameters

  - ##### method: "Debugger.setReturnValue"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2211

  Edits JavaScript source live.

  #### Parameters

  - ##### method: "Debugger.setScriptSource"

  - ##### Optional params: SetScriptSourceParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2212

  #### Parameters

  - ##### method: "Debugger.setScriptSource"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2217

  Makes page not interrupt on any pauses (breakpoint, exception, dom exception etc).

  #### Parameters

  - ##### method: "Debugger.setSkipAllPauses"

  - ##### Optional params: SetSkipAllPausesParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2218

  #### Parameters

  - ##### method: "Debugger.setSkipAllPauses"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2224

  Changes value of variable in a callframe. Object-based scopes are not supported and must be mutated manually.

  #### Parameters

  - ##### method: "Debugger.setVariableValue"

  - ##### Optional params: SetVariableValueParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2225

  #### Parameters

  - ##### method: "Debugger.setVariableValue"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2230

  Steps into the function call.

  #### Parameters

  - ##### method: "Debugger.stepInto"

  - ##### Optional params: StepIntoParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2231

  #### Parameters

  - ##### method: "Debugger.stepInto"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2236

  Steps out of the function call.

  #### Parameters

  - ##### method: "Debugger.stepOut"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2241

  Steps over the statement.

  #### Parameters

  - ##### method: "Debugger.stepOver"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2247

  Enables console to refer to the node with given id via $x (see Command Line API for more details $x functions).

  #### Parameters

  - ##### method: "HeapProfiler.addInspectedHeapObject"

  - ##### Optional params: AddInspectedHeapObjectParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2248

  #### Parameters

  - ##### method: "HeapProfiler.addInspectedHeapObject"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2250

  #### Parameters

  - ##### method: "HeapProfiler.collectGarbage"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2252

  #### Parameters

  - ##### method: "HeapProfiler.disable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2254

  #### Parameters

  - ##### method: "HeapProfiler.enable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2256

  #### Parameters

  - ##### method: "HeapProfiler.getHeapObjectId"

  - ##### Optional params: GetHeapObjectIdParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2257

  #### Parameters

  - ##### method: "HeapProfiler.getHeapObjectId"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2259

  #### Parameters

  - ##### method: "HeapProfiler.getObjectByHeapObjectId"

  - ##### Optional params: GetObjectByHeapObjectIdParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2264

  #### Parameters

  - ##### method: "HeapProfiler.getObjectByHeapObjectId"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2266

  #### Parameters

  - ##### method: "HeapProfiler.getSamplingProfile"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2268

  #### Parameters

  - ##### method: "HeapProfiler.startSampling"

  - ##### Optional params: StartSamplingParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2269

  #### Parameters

  - ##### method: "HeapProfiler.startSampling"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2271

  #### Parameters

  - ##### method: "HeapProfiler.startTrackingHeapObjects"

  - ##### Optional params: StartTrackingHeapObjectsParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2272

  #### Parameters

  - ##### method: "HeapProfiler.startTrackingHeapObjects"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2274

  #### Parameters

  - ##### method: "HeapProfiler.stopSampling"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2276

  #### Parameters

  - ##### method: "HeapProfiler.stopTrackingHeapObjects"

  - ##### Optional params: StopTrackingHeapObjectsParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2277

  #### Parameters

  - ##### method: "HeapProfiler.stopTrackingHeapObjects"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2279

  #### Parameters

  - ##### method: "HeapProfiler.takeHeapSnapshot"

  - ##### Optional params: TakeHeapSnapshotParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2280

  #### Parameters

  - ##### method: "HeapProfiler.takeHeapSnapshot"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2282

  #### Parameters

  - ##### method: "Profiler.disable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2284

  #### Parameters

  - ##### method: "Profiler.enable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2290

  Collect coverage data for the current isolate. The coverage data may be incomplete due to garbage collection.

  #### Parameters

  - ##### method: "Profiler.getBestEffortCoverage"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2295

  Changes CPU profiler sampling interval. Must be called before CPU profiles recording started.

  #### Parameters

  - ##### method: "Profiler.setSamplingInterval"

  - ##### Optional params: SetSamplingIntervalParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2296

  #### Parameters

  - ##### method: "Profiler.setSamplingInterval"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2298

  #### Parameters

  - ##### method: "Profiler.start"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2305

  Enable precise code coverage. Coverage data for JavaScript executed before enabling precise code coverage may be incomplete. Enabling prevents running optimized code and resets execution counters.

  #### Parameters

  - ##### method: "Profiler.startPreciseCoverage"

  - ##### Optional params: StartPreciseCoverageParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2306

  #### Parameters

  - ##### method: "Profiler.startPreciseCoverage"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2312

  Enable type profile.

  experimental

  #### Parameters

  - ##### method: "Profiler.startTypeProfile"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2314

  #### Parameters

  - ##### method: "Profiler.stop"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2320

  Disable precise code coverage. Disabling releases unnecessary execution count records and allows executing optimized code.

  #### Parameters

  - ##### method: "Profiler.stopPreciseCoverage"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2326

  Disable type profile. Disabling releases type profile data collected so far.

  experimental

  #### Parameters

  - ##### method: "Profiler.stopTypeProfile"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2332

  Collect coverage data for the current isolate, and resets execution counters. Precise code coverage needs to have started.

  #### Parameters

  - ##### method: "Profiler.takePreciseCoverage"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2338

  Collect type profile.

  experimental

  #### Parameters

  - ##### method: "Profiler.takeTypeProfile"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2343

  Add handler to promise with given promise object id.

  #### Parameters

  - ##### method: "Runtime.awaitPromise"

  - ##### Optional params: AwaitPromiseParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2344

  #### Parameters

  - ##### method: "Runtime.awaitPromise"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2350

  Calls function with given declaration on the given object. Object group of the result is inherited from the target object.

  #### Parameters

  - ##### method: "Runtime.callFunctionOn"

  - ##### Optional params: CallFunctionOnParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2351

  #### Parameters

  - ##### method: "Runtime.callFunctionOn"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2356

  Compiles expression.

  #### Parameters

  - ##### method: "Runtime.compileScript"

  - ##### Optional params: CompileScriptParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2357

  #### Parameters

  - ##### method: "Runtime.compileScript"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2362

  Disables reporting of execution contexts creation.

  #### Parameters

  - ##### method: "Runtime.disable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2367

  Discards collected exceptions and console API calls.

  #### Parameters

  - ##### method: "Runtime.discardConsoleEntries"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2374

  Enables reporting of execution contexts creation by means of `executionContextCreated` event. When the reporting gets enabled the event will be sent immediately for each existing execution context.

  #### Parameters

  - ##### method: "Runtime.enable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2379

  Evaluates expression on global object.

  #### Parameters

  - ##### method: "Runtime.evaluate"

  - ##### Optional params: EvaluateParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2380

  #### Parameters

  - ##### method: "Runtime.evaluate"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2386

  Returns the isolate id.

  experimental

  #### Parameters

  - ##### method: "Runtime.getIsolateId"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2393

  Returns the JavaScript heap usage. It is the total usage of the corresponding isolate not scoped to a particular Runtime.

  experimental

  #### Parameters

  - ##### method: "Runtime.getHeapUsage"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2399

  Returns properties of a given object. Object group of the result is inherited from the target object.

  #### Parameters

  - ##### method: "Runtime.getProperties"

  - ##### Optional params: GetPropertiesParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2400

  #### Parameters

  - ##### method: "Runtime.getProperties"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2405

  Returns all let, const and class variables from global scope.

  #### Parameters

  - ##### method: "Runtime.globalLexicalScopeNames"

  - ##### Optional params: GlobalLexicalScopeNamesParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2410

  #### Parameters

  - ##### method: "Runtime.globalLexicalScopeNames"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2412

  #### Parameters

  - ##### method: "Runtime.queryObjects"

  - ##### Optional params: QueryObjectsParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2413

  #### Parameters

  - ##### method: "Runtime.queryObjects"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2418

  Releases remote object with given id.

  #### Parameters

  - ##### method: "Runtime.releaseObject"

  - ##### Optional params: ReleaseObjectParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2419

  #### Parameters

  - ##### method: "Runtime.releaseObject"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2424

  Releases all remote objects that belong to a given group.

  #### Parameters

  - ##### method: "Runtime.releaseObjectGroup"

  - ##### Optional params: ReleaseObjectGroupParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2425

  #### Parameters

  - ##### method: "Runtime.releaseObjectGroup"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2430

  Tells inspected instance to run if it was waiting for debugger to attach.

  #### Parameters

  - ##### method: "Runtime.runIfWaitingForDebugger"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2435

  Runs script with given id in a given context.

  #### Parameters

  - ##### method: "Runtime.runScript"

  - ##### Optional params: RunScriptParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2436

  #### Parameters

  - ##### method: "Runtime.runScript"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2441
  experimental

  #### Parameters

  - ##### method: "Runtime.setCustomObjectFormatterEnabled"

  - ##### Optional params: SetCustomObjectFormatterEnabledParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2442

  #### Parameters

  - ##### method: "Runtime.setCustomObjectFormatterEnabled"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2449

  Terminate current or next JavaScript execution. Will cancel the termination when the outer-most script execution ends.

  experimental

  #### Parameters

  - ##### method: "Runtime.terminateExecution"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2454

  Returns supported domains.

  #### Parameters

  - ##### method: "Schema.getDomains"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2459

  Gets supported tracing categories.

  #### Parameters

  - ##### method: "NodeTracing.getCategories"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2464

  Start trace events collection.

  #### Parameters

  - ##### method: "NodeTracing.start"

  - ##### Optional params: StartParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2465

  #### Parameters

  - ##### method: "NodeTracing.start"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2471

  Stop trace events collection. Remaining collected events will be sent as a sequence of dataCollected events followed by tracingComplete event.

  #### Parameters

  - ##### method: "NodeTracing.stop"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2476

  Sends protocol message over session with given id.

  #### Parameters

  - ##### method: "NodeWorker.sendMessageToWorker"

  - ##### Optional params: SendMessageToWorkerParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2477

  #### Parameters

  - ##### method: "NodeWorker.sendMessageToWorker"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2483

  Instructs the inspector to attach to running workers. Will also attach to new workers as they start

  #### Parameters

  - ##### method: "NodeWorker.enable"

  - ##### Optional params: EnableParameterType

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2484

  #### Parameters

  - ##### method: "NodeWorker.enable"

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/inspector.d.ts:2489

  Detaches from all running workers and disables attaching to new workers as they are started.

  #### Parameters

  - ##### method: "NodeWorker.disable"

  - ##### Optional callback: undefined | function

  #### Returns void

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "inspectorNotification", listener: function): this
- prependListener(event: "Console.messageAdded", listener: function): this
- prependListener(event: "Debugger.breakpointResolved", listener: function): this
- prependListener(event: "Debugger.paused", listener: function): this
- prependListener(event: "Debugger.resumed", listener: function): this
- prependListener(event: "Debugger.scriptFailedToParse", listener: function): this
- prependListener(event: "Debugger.scriptParsed", listener: function): this
- prependListener(event: "HeapProfiler.addHeapSnapshotChunk", listener: function): this
- prependListener(event: "HeapProfiler.heapStatsUpdate", listener: function): this
- prependListener(event: "HeapProfiler.lastSeenObjectId", listener: function): this
- prependListener(event: "HeapProfiler.reportHeapSnapshotProgress", listener: function): this
- prependListener(event: "HeapProfiler.resetProfiles", listener: function): this
- prependListener(event: "Profiler.consoleProfileFinished", listener: function): this
- prependListener(event: "Profiler.consoleProfileStarted", listener: function): this
- prependListener(event: "Runtime.consoleAPICalled", listener: function): this
- prependListener(event: "Runtime.exceptionRevoked", listener: function): this
- prependListener(event: "Runtime.exceptionThrown", listener: function): this
- prependListener(event: "Runtime.executionContextCreated", listener: function): this
- prependListener(event: "Runtime.executionContextDestroyed", listener: function): this
- prependListener(event: "Runtime.executionContextsCleared", listener: function): this
- prependListener(event: "Runtime.inspectRequested", listener: function): this
- prependListener(event: "NodeTracing.dataCollected", listener: function): this
- prependListener(event: "NodeTracing.tracingComplete", listener: function): this
- prependListener(event: "NodeWorker.attachedToWorker", listener: function): this
- prependListener(event: "NodeWorker.detachedFromWorker", listener: function): this
- prependListener(event: "NodeWorker.receivedMessageFromWorker", listener: function): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2893

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2898

  Emitted when any notification from the V8 Inspector is received.

  #### Parameters

  - ##### event: "inspectorNotification"

  - ##### listener: function

    - - (message: InspectorNotification<__type>): void

      - #### Parameters

        - ##### message: InspectorNotification<__type>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2903

  Issued when new console message is added.

  #### Parameters

  - ##### event: "Console.messageAdded"

  - ##### listener: function

    - - (message: InspectorNotification<MessageAddedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<MessageAddedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2908

  Fired when breakpoint is resolved to an actual script and location.

  #### Parameters

  - ##### event: "Debugger.breakpointResolved"

  - ##### listener: function

    - - (message: InspectorNotification<BreakpointResolvedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<BreakpointResolvedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2913

  Fired when the virtual machine stopped on breakpoint or exception or any other stop criteria.

  #### Parameters

  - ##### event: "Debugger.paused"

  - ##### listener: function

    - - (message: InspectorNotification<PausedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<PausedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2918

  Fired when the virtual machine resumed execution.

  #### Parameters

  - ##### event: "Debugger.resumed"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2923

  Fired when virtual machine fails to parse the script.

  #### Parameters

  - ##### event: "Debugger.scriptFailedToParse"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptFailedToParseEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptFailedToParseEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2929

  Fired when virtual machine parses script. This event is also fired for all known and uncollected scripts upon enabling debugger.

  #### Parameters

  - ##### event: "Debugger.scriptParsed"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptParsedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptParsedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2931

  #### Parameters

  - ##### event: "HeapProfiler.addHeapSnapshotChunk"

  - ##### listener: function

    - - (message: InspectorNotification<AddHeapSnapshotChunkEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AddHeapSnapshotChunkEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2936

  If heap objects tracking has been started then backend may send update for one or more fragments

  #### Parameters

  - ##### event: "HeapProfiler.heapStatsUpdate"

  - ##### listener: function

    - - (message: InspectorNotification<HeapStatsUpdateEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<HeapStatsUpdateEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2943

  If heap objects tracking has been started then backend regularly sends a current value for last seen object id and corresponding timestamp. If the were changes in the heap since last event then one or more heapStatsUpdate events will be sent before a new lastSeenObjectId event.

  #### Parameters

  - ##### event: "HeapProfiler.lastSeenObjectId"

  - ##### listener: function

    - - (message: InspectorNotification<LastSeenObjectIdEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<LastSeenObjectIdEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2945

  #### Parameters

  - ##### event: "HeapProfiler.reportHeapSnapshotProgress"

  - ##### listener: function

    - - (message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2946

  #### Parameters

  - ##### event: "HeapProfiler.resetProfiles"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2947

  #### Parameters

  - ##### event: "Profiler.consoleProfileFinished"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileFinishedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileFinishedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2952

  Sent when new profile recording is started using console.profile() call.

  #### Parameters

  - ##### event: "Profiler.consoleProfileStarted"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileStartedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileStartedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2957

  Issued when console API was called.

  #### Parameters

  - ##### event: "Runtime.consoleAPICalled"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleAPICalledEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleAPICalledEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2962

  Issued when unhandled exception was revoked.

  #### Parameters

  - ##### event: "Runtime.exceptionRevoked"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionRevokedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionRevokedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2967

  Issued when exception was thrown and unhandled.

  #### Parameters

  - ##### event: "Runtime.exceptionThrown"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionThrownEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionThrownEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2972

  Issued when new execution context is created.

  #### Parameters

  - ##### event: "Runtime.executionContextCreated"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextCreatedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextCreatedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2977

  Issued when execution context is destroyed.

  #### Parameters

  - ##### event: "Runtime.executionContextDestroyed"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextDestroyedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextDestroyedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2982

  Issued when all executionContexts were cleared in browser

  #### Parameters

  - ##### event: "Runtime.executionContextsCleared"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2988

  Issued when object should be inspected (for example, as a result of inspect() command line API call).

  #### Parameters

  - ##### event: "Runtime.inspectRequested"

  - ##### listener: function

    - - (message: InspectorNotification<InspectRequestedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<InspectRequestedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2993

  Contains an bucket of collected trace events.

  #### Parameters

  - ##### event: "NodeTracing.dataCollected"

  - ##### listener: function

    - - (message: InspectorNotification<DataCollectedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DataCollectedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:2999

  Signals that tracing is stopped and there is no trace buffers pending flush, all data were delivered via dataCollected events.

  #### Parameters

  - ##### event: "NodeTracing.tracingComplete"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:3004

  Issued when attached to a worker.

  #### Parameters

  - ##### event: "NodeWorker.attachedToWorker"

  - ##### listener: function

    - - (message: InspectorNotification<AttachedToWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AttachedToWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:3009

  Issued when detached from the worker.

  #### Parameters

  - ##### event: "NodeWorker.detachedFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<DetachedFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DetachedFromWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/inspector.d.ts:3015

  Notifies about a new protocol message received from the session (session ID is provided in attachedToWorker notification).

  #### Parameters

  - ##### event: "NodeWorker.receivedMessageFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "inspectorNotification", listener: function): this
- prependOnceListener(event: "Console.messageAdded", listener: function): this
- prependOnceListener(event: "Debugger.breakpointResolved", listener: function): this
- prependOnceListener(event: "Debugger.paused", listener: function): this
- prependOnceListener(event: "Debugger.resumed", listener: function): this
- prependOnceListener(event: "Debugger.scriptFailedToParse", listener: function): this
- prependOnceListener(event: "Debugger.scriptParsed", listener: function): this
- prependOnceListener(event: "HeapProfiler.addHeapSnapshotChunk", listener: function): this
- prependOnceListener(event: "HeapProfiler.heapStatsUpdate", listener: function): this
- prependOnceListener(event: "HeapProfiler.lastSeenObjectId", listener: function): this
- prependOnceListener(event: "HeapProfiler.reportHeapSnapshotProgress", listener: function): this
- prependOnceListener(event: "HeapProfiler.resetProfiles", listener: function): this
- prependOnceListener(event: "Profiler.consoleProfileFinished", listener: function): this
- prependOnceListener(event: "Profiler.consoleProfileStarted", listener: function): this
- prependOnceListener(event: "Runtime.consoleAPICalled", listener: function): this
- prependOnceListener(event: "Runtime.exceptionRevoked", listener: function): this
- prependOnceListener(event: "Runtime.exceptionThrown", listener: function): this
- prependOnceListener(event: "Runtime.executionContextCreated", listener: function): this
- prependOnceListener(event: "Runtime.executionContextDestroyed", listener: function): this
- prependOnceListener(event: "Runtime.executionContextsCleared", listener: function): this
- prependOnceListener(event: "Runtime.inspectRequested", listener: function): this
- prependOnceListener(event: "NodeTracing.dataCollected", listener: function): this
- prependOnceListener(event: "NodeTracing.tracingComplete", listener: function): this
- prependOnceListener(event: "NodeWorker.attachedToWorker", listener: function): this
- prependOnceListener(event: "NodeWorker.detachedFromWorker", listener: function): this
- prependOnceListener(event: "NodeWorker.receivedMessageFromWorker", listener: function): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3017

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3022

  Emitted when any notification from the V8 Inspector is received.

  #### Parameters

  - ##### event: "inspectorNotification"

  - ##### listener: function

    - - (message: InspectorNotification<__type>): void

      - #### Parameters

        - ##### message: InspectorNotification<__type>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3027

  Issued when new console message is added.

  #### Parameters

  - ##### event: "Console.messageAdded"

  - ##### listener: function

    - - (message: InspectorNotification<MessageAddedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<MessageAddedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3032

  Fired when breakpoint is resolved to an actual script and location.

  #### Parameters

  - ##### event: "Debugger.breakpointResolved"

  - ##### listener: function

    - - (message: InspectorNotification<BreakpointResolvedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<BreakpointResolvedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3037

  Fired when the virtual machine stopped on breakpoint or exception or any other stop criteria.

  #### Parameters

  - ##### event: "Debugger.paused"

  - ##### listener: function

    - - (message: InspectorNotification<PausedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<PausedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3042

  Fired when the virtual machine resumed execution.

  #### Parameters

  - ##### event: "Debugger.resumed"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3047

  Fired when virtual machine fails to parse the script.

  #### Parameters

  - ##### event: "Debugger.scriptFailedToParse"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptFailedToParseEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptFailedToParseEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3053

  Fired when virtual machine parses script. This event is also fired for all known and uncollected scripts upon enabling debugger.

  #### Parameters

  - ##### event: "Debugger.scriptParsed"

  - ##### listener: function

    - - (message: InspectorNotification<ScriptParsedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ScriptParsedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3055

  #### Parameters

  - ##### event: "HeapProfiler.addHeapSnapshotChunk"

  - ##### listener: function

    - - (message: InspectorNotification<AddHeapSnapshotChunkEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AddHeapSnapshotChunkEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3060

  If heap objects tracking has been started then backend may send update for one or more fragments

  #### Parameters

  - ##### event: "HeapProfiler.heapStatsUpdate"

  - ##### listener: function

    - - (message: InspectorNotification<HeapStatsUpdateEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<HeapStatsUpdateEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3067

  If heap objects tracking has been started then backend regularly sends a current value for last seen object id and corresponding timestamp. If the were changes in the heap since last event then one or more heapStatsUpdate events will be sent before a new lastSeenObjectId event.

  #### Parameters

  - ##### event: "HeapProfiler.lastSeenObjectId"

  - ##### listener: function

    - - (message: InspectorNotification<LastSeenObjectIdEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<LastSeenObjectIdEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3069

  #### Parameters

  - ##### event: "HeapProfiler.reportHeapSnapshotProgress"

  - ##### listener: function

    - - (message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReportHeapSnapshotProgressEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3070

  #### Parameters

  - ##### event: "HeapProfiler.resetProfiles"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3071

  #### Parameters

  - ##### event: "Profiler.consoleProfileFinished"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileFinishedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileFinishedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3076

  Sent when new profile recording is started using console.profile() call.

  #### Parameters

  - ##### event: "Profiler.consoleProfileStarted"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleProfileStartedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleProfileStartedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3081

  Issued when console API was called.

  #### Parameters

  - ##### event: "Runtime.consoleAPICalled"

  - ##### listener: function

    - - (message: InspectorNotification<ConsoleAPICalledEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ConsoleAPICalledEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3086

  Issued when unhandled exception was revoked.

  #### Parameters

  - ##### event: "Runtime.exceptionRevoked"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionRevokedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionRevokedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3091

  Issued when exception was thrown and unhandled.

  #### Parameters

  - ##### event: "Runtime.exceptionThrown"

  - ##### listener: function

    - - (message: InspectorNotification<ExceptionThrownEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExceptionThrownEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3096

  Issued when new execution context is created.

  #### Parameters

  - ##### event: "Runtime.executionContextCreated"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextCreatedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextCreatedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3101

  Issued when execution context is destroyed.

  #### Parameters

  - ##### event: "Runtime.executionContextDestroyed"

  - ##### listener: function

    - - (message: InspectorNotification<ExecutionContextDestroyedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ExecutionContextDestroyedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3106

  Issued when all executionContexts were cleared in browser

  #### Parameters

  - ##### event: "Runtime.executionContextsCleared"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3112

  Issued when object should be inspected (for example, as a result of inspect() command line API call).

  #### Parameters

  - ##### event: "Runtime.inspectRequested"

  - ##### listener: function

    - - (message: InspectorNotification<InspectRequestedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<InspectRequestedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3117

  Contains an bucket of collected trace events.

  #### Parameters

  - ##### event: "NodeTracing.dataCollected"

  - ##### listener: function

    - - (message: InspectorNotification<DataCollectedEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DataCollectedEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3123

  Signals that tracing is stopped and there is no trace buffers pending flush, all data were delivered via dataCollected events.

  #### Parameters

  - ##### event: "NodeTracing.tracingComplete"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3128

  Issued when attached to a worker.

  #### Parameters

  - ##### event: "NodeWorker.attachedToWorker"

  - ##### listener: function

    - - (message: InspectorNotification<AttachedToWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<AttachedToWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3133

  Issued when detached from the worker.

  #### Parameters

  - ##### event: "NodeWorker.detachedFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<DetachedFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<DetachedFromWorkerEventDataType>

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/inspector.d.ts:3139

  Notifies about a new protocol message received from the session (session ID is provided in attachedToWorker notification).

  #### Parameters

  - ##### event: "NodeWorker.receivedMessageFromWorker"

  - ##### listener: function

    - - (message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>): void

      - #### Parameters

        - ##### message: InspectorNotification<ReceivedMessageFromWorkerEventDataType>

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc